Pages/AddOffer.cshtml.cs
using ProjektNET.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Authentication;
using System.ComponentModel.DataAnnotations;

namespace ProjektNET.Pages
{
    public class AddOfferModel : PageModel
    {
        private readonly Data.MyDbContext _context;

        private readonly Data.MyDbContext _userContext;

        public AddOfferModel(Data.MyDbContext context, Data.MyDbContext userContext)
        {
            _context = context;
            _userContext = userContext;
        }

        public Offer? Offer { get; set; }

        public User? User { get; set; }

        [BindProperty]
        public InputModel Input { get; set; }
        public class InputModel
        {
            [Required]
            public string Description { get; set; }
 
            [Required]
            public string Category { get; set; }

            [Required]
            public string Location { get; set; }
        }
        public string ReturnUrl { get; set; }
 
        public IList<AuthenticationScheme> ExternalLogins { get; set; }

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            User = _userContext.User.FirstOrDefault(m => m.Id == id);
            
            if (User == null)
            {
                return NotFound();
            }
            return Page();
        }

        public async Task<IActionResult> OnPostAsync(int? id)
        {
            string returnUrl = null;

            returnUrl ??= Url.Content("~/");
 
            var offer = _context.Offer.FirstOrDefault(f => f.Description == Input.Description);
            var user = _userContext.User.FirstOrDefault(f => f.Id == id);

            if (offer != null)
            {
                ModelState.AddModelError(string.Empty, Input.Description + " Jest już wystawiony" );
                return Page();
            } 
            else
            {
                offer = new Offer { Description = Input.Description, Category = Input.Category, Location = Input.Location, Interested = 0, Advertizer = id, Active = true };
                _context.Add(offer);
                await _context.SaveChangesAsync();

                user.IsAdvertizer = true;
                await _userContext.SaveChangesAsync();
                
                return RedirectToPage("AddOfferConfirmation");
            }

            return Page();  
        }
    }
}

Pages/AddOfferConfirmation.cshtml.cs
using Microsoft.AspNetCore.Authorization;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using ProjektNET.Data;
using System.Linq;
 
namespace ProjektNET.Pages
{
    [AllowAnonymous]
    public class AddOfferConfirmationModel : PageModel
    {
 
        public AddOfferConfirmationModel()
        {
        }
 
        public async Task<IActionResult> OnGetAsync()
        {
            return Page();
        }
    }
}

Pages/Edit.cshtml.cs
using ProjektNET.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using Microsoft.AspNetCore.Authorization;

namespace ProjektNET.Pages
{
    public class EditModel : PageModel
    {
        private readonly ProjektNET.Data.MyDbContext _context;

        public EditModel(ProjektNET.Data.MyDbContext context)
        {
            _context = context;
        }

        [BindProperty]
        public User? User { get; set; }

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            User = await _context.User.FirstOrDefaultAsync(m => m.Id == id);
            
            if (User == null)
            {
                return NotFound();
            }
            return Page();
        }

        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see https://aka.ms/RazorPagesCRUD.
        public async Task<IActionResult> OnPostAsync(string? returnUrl = null)
        {
            returnUrl ??= Url.Content("~/");

            if (!ModelState.IsValid)
            {
                return Page();
            }

            if (User != null)
            {

                _context.Attach(User).State = EntityState.Modified;

                try
                {
                    await _context.SaveChangesAsync();
                    return RedirectToPage("EditConfirmation", new { email = User.Email });
                }
                catch (DbUpdateConcurrencyException)
                {
                    if (!UserExists(User.Id))
                    {
                        return NotFound();
                    }
                    else
                    {
                        throw;
                    }
                }
            }

            return RedirectToPage("./Index");
        }

        private bool UserExists(int? id)
        {
            return _context.User.Any(e => e.Id == id);
        }
    }
}

Pages/EditConfirmation.cshtml.cs
using Microsoft.AspNetCore.Authorization;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using ProjektNET.Data;
using System.Linq;
 
namespace ProjektNET.Pages
{
    [AllowAnonymous]
    public class EditConfirmationModel : PageModel
    {
 
        private readonly MyDbContext Db;
 
        public EditConfirmationModel(MyDbContext Db)
        {
            this.Db = Db;
        }
 
        public string Email { get; set; }
 
 
        public async Task<IActionResult> OnGetAsync(string email)
        {
            if (email == null)
            {
                return RedirectToPage("/Index");
            }
 
            var user = Db.User.Where(f=> f.Email==email).FirstOrDefault() ;
            if (user == null)
            {
                return NotFound($"Nie udało się załadować użytkownika z emailem: '{email}'.");
            }
 
            Email = email;
 
            return Page();
        }
    }
}

Pages/Error.cshtml.cs
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using System.Diagnostics;

namespace ProjektNET.Pages
{
    [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
    [IgnoreAntiforgeryToken]
    public class ErrorModel : PageModel
    {
        public string? RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);

        private readonly ILogger<ErrorModel> _logger;

        public ErrorModel(ILogger<ErrorModel> logger)
        {
            _logger = logger;
        }

        public void OnGet()
        {
            RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier;
        }
    }
}

Pages/Index.cshtml.cs
using ProjektNET.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using Microsoft.AspNetCore.Authorization;

namespace ProjektNET.Pages
{
    public class IndexModel : PageModel
    {
        readonly ProjektNET.Data.MyDbContext _context;
        public IndexModel(ProjektNET.Data.MyDbContext context)
        {
            _context = context;
        }

        public IList<User>? Users { get; set; }

        public async Task OnGetAsync()
        {
            Users = await _context.User.ToListAsync();
        }

        public async Task<IActionResult> OnPostCreateAsync()
        {
            return RedirectToPage("./Register");
        }

    }
}

Pages/Login.cshtml.cs
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Authentication;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using ProjektNET.Data;
using System.Security.Claims;
using Microsoft.AspNetCore.Authentication.Cookies;
 
namespace ProjektNET.Pages
{
    [AllowAnonymous]
    public class LoginModel : PageModel
    {
 
        private readonly MyDbContext Db;
 
        public LoginModel(MyDbContext Db)
        {
            this.Db = Db;
        }
 
        [BindProperty]
        public InputModel Input { get; set; }
 
        public string ReturnUrl { get; set; }
 
        public class InputModel
        {
            [Required]
            [EmailAddress]
            public string Email { get; set; }
 
            [Required]
            [DataType(DataType.Password)]
            public string Password { get; set; }
 
 
        }
 
        public async Task OnGetAsync(string? returnUrl = null)
        {
            returnUrl ??= Url.Content("~/");
            await HttpContext.SignOutAsync(CookieAuthenticationDefaults.AuthenticationScheme);
 
            ReturnUrl = returnUrl;
        }
 
        public async Task<IActionResult> OnPostLoginAsync(string? returnUrl = null)
        {
            returnUrl ??= Url.Content("~/");
 
            if (ModelState.IsValid)
            {
                var user = Db.User.Where(f => f.Email == Input.Email && f.Password == Input.Password).FirstOrDefault();
                if (user == null)
                {
                    ModelState.AddModelError(string.Empty, "Invalid Email or Password");
                    return Page();
                }
 
                var claims = new List<Claim>
                {
                    new Claim(ClaimTypes.NameIdentifier, user.Id.ToString()),
                    new Claim(ClaimTypes.Name, user.Name),
                };

                var identity = new ClaimsIdentity(claims, CookieAuthenticationDefaults.AuthenticationScheme);
                var principal = new ClaimsPrincipal(identity);
                
                await HttpContext.SignInAsync(CookieAuthenticationDefaults.AuthenticationScheme,
                        principal,
                        new AuthenticationProperties { IsPersistent = true });
 
 
                return LocalRedirect(returnUrl);
            }

            return Page();
        }

        public async Task<IActionResult> OnPostResetAsync()
        {
            return RedirectToPage("./Reset");
        }

    }
}

Pages/Logout.cshtml.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authentication;
using Microsoft.AspNetCore.Authentication.Cookies;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Logging;
 
namespace ProjektNET.Pages
{
    [AllowAnonymous]
    public class LogoutModel : PageModel
    {
 
 
        public LogoutModel(ILogger<LogoutModel> logger)
        {
 
        }
 
        public void OnGet()
        {
        }
 
        public async Task<IActionResult> OnPost(string? returnUrl = null)
        {
            await HttpContext.SignOutAsync(CookieAuthenticationDefaults.AuthenticationScheme);
            if (returnUrl != null)
            {
                return LocalRedirect(returnUrl);
            }
            else
            {
                return RedirectToPage();
            }
        }
    }
}

Pages/Message.cshtml.cs
using ProjektNET.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Identity;
using ProjektNET.Extensions;

namespace ProjektNET.Pages
{
    public class MessageModel : PageModel
    {
        private readonly Data.MyDbContext _context;
        public MessageModel(Data.MyDbContext context)
        {
            _context = context;
        }

        [BindProperty]
        public IEnumerable<Message>? Messages { get; set; }

        [BindProperty]
        public string value { get; set; }

        [BindProperty]
        public int? specialId { get; set; }

        public int? AdvertizerId { get; set; }

        public int? ClientId { get; set; }

        public async Task OnGetAsync(int? advertizerId, int? clientId)
        {
            Messages = await _context.Message.Where(t => t.ClientId == clientId).ToListAsync();
            specialId = clientId;
            AdvertizerId = advertizerId;
            ClientId = clientId;
        }

        public async Task<IActionResult> OnPostClientMessageAsync(int? advertizerId, int? clientId)
        {
            var message = new Message { Value = value, AdvertizerId = advertizerId, ClientId = clientId, SenderId = clientId };
            _context.Add(message);
            await _context.SaveChangesAsync();
            Messages = await _context.Message.Where(t => t.ClientId == clientId).ToListAsync();
            return Redirect("~/Message/" + advertizerId + "/" + clientId);
        }

        public async Task<IActionResult> OnPostAdvertizerMessageAsync(int? advertizerId, int? clientId)
        {
            var message = new Message { Value = value, AdvertizerId = advertizerId, ClientId = clientId, SenderId = advertizerId };
            _context.Add(message);
            await _context.SaveChangesAsync();
            Messages = await _context.Message.Where(t => t.ClientId == clientId).ToListAsync();
            return Redirect("~/Message/" + advertizerId + "/" + clientId);
        }
    }
}

Pages/Privacy.cshtml.cs
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace ProjektNET.Pages
{
    public class PrivacyModel : PageModel
    {
        private readonly ILogger<PrivacyModel> _logger;

        public PrivacyModel(ILogger<PrivacyModel> logger)
        {
            _logger = logger;
        }

        public void OnGet()
        {
        }
    }
}

Pages/RateAdvertizer.cshtml.cs
using ProjektNET.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Authentication;

namespace ProjektNET.Pages
{
    [AllowAnonymous]
    public class RateAdvertizerModel : PageModel
    {
        private readonly Data.MyDbContext _context;

        public RateAdvertizerModel(Data.MyDbContext context)
        {
            _context = context;
        }

        private int? AdvertizerId;

        [BindProperty]
        public Rate? Rate { get; set; }
        public IActionResult OnGet(int? id)
        {
            AdvertizerId = id;
            return Page();
        }

        public async Task<IActionResult> OnPostAsync(int? id, string returnUrl = null)
        {
            AdvertizerId = id;
            returnUrl ??= Url.Content("~/");
            if(Rate.Comment == null || Rate.RateValue == null)
            {
                return Page();
            }

            var rate = new Rate { RateValue = Rate.RateValue, Comment = Rate.Comment, Advertizer = AdvertizerId };
            
            _context.Add(rate);
            await _context.SaveChangesAsync();
            return RedirectToPage("ShowAdvertizers");
        }
    }
}

Pages/RegisterConfirmation.cshtml.cs
using Microsoft.AspNetCore.Authorization;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using ProjektNET.Data;
using System.Linq;
 
namespace ProjektNET.Pages
{
    [AllowAnonymous]
    public class RegisterConfirmationModel : PageModel
    {
 
        private readonly MyDbContext Db;
 
        public RegisterConfirmationModel(MyDbContext Db)
        {
            this.Db = Db;
        }
 
        public string Email { get; set; }
 
 
        public async Task<IActionResult> OnGetAsync(string email)
        {
            if (email == null)
            {
                return RedirectToPage("/Index");
            }
 
            var user = Db.User.Where(f=> f.Email==email).FirstOrDefault() ;
            if (user == null)
            {
                return NotFound($"Nie udało się załadować użytkownika z emailem: '{email}'.");
            }
 
            Email = email;
 
            return Page();
        }
    }
}

Pages/ShowAdvertizers.cshtml.cs
using ProjektNET.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Identity;
using ProjektNET.Extensions;

namespace ProjektNET.Pages
{
    public class ShowAdvertizerModel : PageModel
    {
        private readonly Data.MyDbContext _context;
        public ShowAdvertizerModel(Data.MyDbContext context)
        {
            _context = context;
        }

        [BindProperty]
        public IEnumerable<User>? Users { get; set; }

        public async Task OnGetAsync()
        {
            Users = await _context.User.ToListAsync();
        }

        public async Task<IActionResult> OnPostRateAsync(int? id)
        {
            return Redirect("~/RateAdvertizer/" + id);
        }

        public async Task<IActionResult> OnPostShowOpinionsAsync(int? id)
        {
            return Redirect("~/ShowRates/" + id);
        }

        public async Task<IActionResult> OnPostMessageAsync(int? advertizerId, int? clientId)
        {
            return Redirect("~/Message/" + advertizerId + "/" + clientId);
        }

        public async Task<IActionResult> OnPostShowMessagesAsync(int? advertizerId)
        {
            return Redirect("~/ShowMessages/" + advertizerId);
        }
    }
}

Pages/AddOfferConfirmation.cshtml
@page
@model ProjektNET.Pages.AddOfferConfirmationModel
@{
    ViewData["Title"] = "Dodawanie oferty";
}
 
<h1>@ViewData["Title"]</h1>
<p>
    Oferta została pomyślnie dodana.
</p>

Pages/Edit.cshtml
@page "{id:int?}"
@model ProjektNET.Pages.EditModel

@{
    ViewData["Title"] = "Edit";
}

<h1>Edytuj swoje dane</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="User!.Id" />
            <input type="hidden" asp-for="User!.IsAdvertizer" />
            <div class="form-group">  
                <div class="row">  
                    <div class="col-4">  
                        <label asp-for="User!.Name"></label>  
                    </div>  
                    <div class="col-8">  
                        <input asp-for="User!.Name" class="form-control" />  
                    </div>  
                    <span asp-validation-for="User!.Name" class="text-danger"></span>
                </div>  
            </div>  
  
            <div class="form-group">  
                <div class="row">  
                    <div class="col-4">  
                        <label asp-for="User!.Surname"></label>  
                    </div>  
                    <div class="col-8">  
                        <input asp-for="User!.Surname" class="form-control" /> 
                    </div>   
                    <span asp-validation-for="User!.Surname" class="text-danger"></span>
                </div>  
            </div>  
  
            <div class="form-group">  
                <div class="row">  
                    <div class="col-4">  
                        <label asp-for="User!.Email"></label>  
                    </div>  
                    <div class="col-8">  
                        <input asp-for="User!.Email" class="form-control" />  
                    </div>
                    <span asp-validation-for="User!.Email" class="text-danger"></span>
                </div>  
            </div>  
  
            <div class="form-group">  
                <div class="row">  
                    <div class="col-4">  
                        <label asp-for="User!.Password">Hasło</label>  
                    </div>  
                    <div class="col-8">  
                        <input asp-for="User!.Password" class="form-control" />  
                    </div> 
                    <span asp-validation-for="User!.Password" class="text-danger"></span>
                </div>  
            </div>

            <div class="form-group">  
                <div class="row">  
                    <div class="col-4">  
                        <label asp-for="User!.ConfirmPassword">Potwierdź hasło</label>  
                    </div>  
                    <div class="col-8">  
                        <input asp-for="User!.ConfirmPassword" class="form-control" />  
                    </div>  
                    <span asp-validation-for="User!.ConfirmPassword" class="text-danger"></span>  
                </div>  
            </div>
  
            <div class="form-group">  
                <div class="row">  
                    <div class="col-4">  
                          
                    </div>  
                    <div class="col-8">  
                        <button type="submit" class="btn btn-success form-control">Zapisz</button>  
                    </div> 
                </div>  
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-page="./Index">Wróć do strony</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

Pages/EditConfirmation.cshtml
@page
@model ProjektNET.Pages.EditConfirmationModel
@{
    ViewData["Title"] = "Potwierdzenie edycji";
}
 
<h1>@ViewData["Title"]</h1>
<p>
    Twoje konto @Model.Email zostało pomyślnie edytowane.
</p>

Pages/Index.cshtml
@page
@model ProjektNET.Pages.IndexModel
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers

<h1>Witamy na portalu ogłoszeniowym</h1>

Pages/Logout.cshtml
@page
@model LogoutModel
@{
    ViewData["Title"] = "Wylogowywanie";
}
 
<header>
    <h1>@ViewData["Title"]</h1>
    @{
        if (User.Identity.IsAuthenticated)
        {
            <form class="form-inline" asp-area="Identity" asp-page="/Logout" asp-route-returnUrl="@Url.Page("/", new { area = "" })" method="post">
                <button type="submit" class="nav-link btn btn-link text-dark">Kliknij, by się wylogować</button>
            </form>
        }
        else
        {
            <p>Pomyślnie wylogowano</p>
        }
    }
</header>

Pages/Message.cshtml
@page "{advertizerId:int?}/{clientId:int?}"
@model ProjektNET.Pages.MessageModel
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using ProjektNET.Extensions

<h1>Wiadomości</h1>

<table class="table">
    <thead>
        <tr>
            <th>Klient</th>
            <th>Wlasciciel</th>
        </tr>
    </thead>
    <tbody>
    @if (Model.Messages != null)
    {
        foreach (var message in Model.Messages)
        {
            <tr>
                <td>
                    @if (@message.ClientId == @message.SenderId)
                    {
                        @message.Value
                    }
                </td>
                <td>
                    @if (@message.AdvertizerId == @message.SenderId)
                    {
                        @message.Value
                    }
                </td>
            </tr>
        }
    }
    </tbody>
</table>

<form method="post">
    <p>
        <div class="row">
            Wyślij wiadomość:
            <input asp-for="value" class="form-control" />
            @if (Model.specialId == @ClaimsPrincipalExtension.GetUserId(@User))
            {
                <button type="submit" class="btn btn-primary" asp-page-handler="ClientMessage">Wyślij</button>
            }
            else
            {
                <button type="submit" class="btn btn-primary" asp-page-handler="AdvertizerMessage">Wyślij</button>
            }
        </div>
    </p>
</form>

Pages/RateAdvertizer.cshtml
@page "{id:int?}"
@model ProjektNET.Pages.RateAdvertizerModel
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
  
<h2 class="text-info pt-2 pb-3">Oceń wystawiającego</h2>  
  
<div class="row backgroundWhite border">  
  
    <div class="col-md-8" asp-validation-summary="All">  
        <form asp-route-returnUrl="@Model.OnPostAsync"  method="post">    
            <div class="form-group">  
                <div class="row">  
                    <div class="col-4">  
                        <label asp-for="Rate!.RateValue"></label>  
                    </div>  
                    <div class="col-8">  
                        <input asp-for="Rate!.RateValue" class="form-control" />  
                    </div>  
                    <span asp-validation-for="Rate!.RateValue" class="text-danger"></span>
                </div>  
            </div>  
  
            <div class="form-group">  
                <div class="row">  
                    <div class="col-4">  
                        <label asp-for="Rate!.Comment"></label>  
                    </div>  
                    <div class="col-8">  
                        <input asp-for="Rate!.Comment" class="form-control" /> 
                    </div>   
                    <span asp-validation-for="Rate!.Comment" class="text-danger"></span>
                </div>  
            </div>  

            <div class="form-group">  
                <div class="row">  
                    <div class="col-4">  
                          
                    </div>  
                    <div class="col-8">  
                        <button type="submit" class="btn btn-success form-control">Dodaj opinię</button>  
                    </div> 
                </div>  
            </div>  
        </form>  
    </div>  
  
</div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}

Pages/RegisterConfirmation.cshtml
@page
@model ProjektNET.Pages.RegisterConfirmationModel
@{
    ViewData["Title"] = "Potwierdzenie rejestracji";
}
 
<h1>@ViewData["Title"]</h1>
<p>
    Twoje konto @Model.Email zostało pomyślnie zarejestrowane.
</p>

Pages/Reset.cshtml
@page
@model ProjektNET.Pages.ResetModel
 
@{
    ViewData["Title"] = "Resetowanie hasła";
}
 
 
<h1>@ViewData["Title"]</h1>
<div class="row">
    <div class="col-md-4">
        <section>
            <form method="post">
                <h4>Wpisz swój e-mail</h4>
                <hr />
                <div asp-validation-summary="All" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="Input!.Email"></label>
                    <input asp-for="Input!.Email" class="form-control" />
                    <span asp-validation-for="Input!.Email" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-primary">Wyślij link do zresetowania hasła</button>
                </div>
            </form>
        </section>
    </div>
</div>
 
@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}

Pages/ResetPasswordConfirmation.cshtml
@page
@model ProjektNET.Pages.ResetPasswordConfirmationModel
@{
    ViewData["Title"] = "Potwierdzenei zresetowania hasła";
}
 
<h1>Potwierdzenie zresetowania hasła</h1>
 
<p>
    Hałso dla @Model.Email zostało zresetowane.
</p>

Pages/ShowAdvertizers.cshtml
@page
@model ProjektNET.Pages.ShowAdvertizerModel
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using ProjektNET.Extensions
@using Microsoft.AspNetCore.Identity

@if(User.Identity.IsAuthenticated)
{
    <h1>Wystawiający</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Numer</th>
                <th>Imię</th>
                <th>Nazwisko</th>
                <th>Adres e-mail</th>
            </tr>
        </thead>
        <tbody>
        @if (Model.Users != null)
        {
            foreach (var user in Model.Users)
            {
                
                if(@user.IsAdvertizer == true)
                {
                    <tr>
                        <td> @user.Id </td>
                        <td> @user.Name </td>
                        <td> @user.Surname </td>
                        <td> @user.Email </td>
                        <td>
                            <form method="post">
                                @if (@user.Id != @ClaimsPrincipalExtension.GetUserId(@User))
                                {
                                    <!-- <snippet_Rate> -->
                                    <button type="submit" asp-page-handler="rate">Oceń wystawiającego</button>
                                    <input type="hidden" name="id" value="@user.Id" />
                                    <!-- </snippet_Rate> -->
                                }
                            </form>
                        </td>
                        <td>
                            <form method="post">
                                <!-- <snippet_ShowOpinions> -->
                                <button type="submit" asp-page-handler="showOpinions">Pokaż opinie o wystawiającym</button>
                                <input type="hidden" name="id" value="@user.Id" />
                                <!-- </snippet_ShowOpinions> -->
                            </form>
                        </td>
                        <td>
                            <form method="post">
                                @if (@user.Id != @ClaimsPrincipalExtension.GetUserId(@User))
                                {
                                    <!-- <snippet_Message> -->
                                    <button type="submit" asp-page-handler="message">Napisz wiadomość</button>
                                    <input type="hidden" name="advertizerId" value="@user.Id" />
                                    <input type="hidden" name="clientId" value="@ClaimsPrincipalExtension.GetUserId(@User)" />
                                    <!-- </snippet_Message> -->
                                }
                                @if (@user.Id == @ClaimsPrincipalExtension.GetUserId(@User))
                                {
                                    <!-- <snippet_ShowMessages> -->
                                    <button type="submit" asp-page-handler="showMessages">Zobacz wiadomości</button>
                                    <input type="hidden" name="advertizerId" value="@ClaimsPrincipalExtension.GetUserId(@User)" />
                                    <!-- </snippet_ShowMessages> -->
                                }
                            </form>
                        </td>
                    </tr>
                }
            }
        }
        </tbody>
    </table>
}
else
{
    <h1>Błąd</h1>
    <p>Zaloguj się, by zobaczyć wystawiających.</p>
}